require "spinna/version"

module Spinna
  # Base class for all errors.
  Error = Class.new(StandardError)

  # Raised when the configuration file was not found.
  ConfigFileNotFoundError = Class.new(Error)

  # Raised when the configuration file is not valid.
  InvalidConfigFileError = Class.new(Error)

  # Raised when the source_dir does not exist.
  InvalidSourceDirError = Class.new(Error)
end
