require 'thor'
require 'yaml'
require 'spinna'
require 'spinna/client'

module Spinna
  class CLI < Thor
    desc 'get', 'Downloads some fresh music'
    method_option :number_of_picks, :aliases => '-n', :type => :numeric
    method_option :pattern, :aliases => '-p', :type => :string

    def get
      begin
        client = Client.new
        client.get(options)
        exit 0
      rescue StandardError => e
        puts e.message
        exit 1
      end
    end
  end
end
